ttcp(user cmd)

NAME
ttcp — copy files and inform the ToolTalk service

SYNOPSIS

ttcp [-pL] [filename1] [filename2]

ttcp [-r] [-pL] [directory1] [directory2]

ttcp [-prL] [filename] [...] [directory]

ttcp [-h] [-v]

DESCRIPTION

The ttcp utility invokes the cp(1) utility to copy files and directories, and informs ToolTalk about its actions so that the ToolTalk objects associated with those files and directories can also be copied.

OPTIONS

The following options are available:

-h  Write a help message for invoking ttcp and then exit.

-L  Copy the ToolTalk objects of the files, but do not invoke cp(1) to copy the actual files.

-p  Preserve. Invoke cp(1) with the -p option, which duplicates not only the contents of the original files or directories, but also the modification time and permission modes. The modification times of ToolTalk objects are preserved only if the invoking process has appropriate privileges. (Super-user permissions are required.)

-r  Recursively copy the ToolTalk objects of any directories named, along with their files (including any subdirectories and their files), and pass the -r option to cp(1).

-v  Write the version number of ttcp and then exit.

The -f, -i or -R options to cp(1) are not supported.

OPERANDS

The following operands are supported:

filename

filename1
    A pathname of a file to be copied.

filename2
    A pathname of an existing or nonexisting file, used for the output when a single file is copied.

directory

directory2
    A pathname of a directory to contain the copied files.

directory1
    A pathname of a file hierarchy to be copied with -r.

STDIN

Not used.

INPUT FILES

The input files specified as operands can be of any file type.

ENVIRONMENT VARIABLES

The following environment variables affect the execution of ttcp:

LANG
    Provide a default value for the internationalization variables that are unset or null. If LANG is unset or null, the corresponding value from the implementation-specific default locale will be used. If any of the internationalization variables contains an invalid setting, the utility behaves as if none of the variables had been defined.

LC_ALL
    If set to a non-empty string value, override the values of all the other internationalization variables.

LC_MESSAGES
    Determine the locale that is used to affect the format and contents of diagnostic messages written to standard error and informative messages written to standard output.

NLSPATH
    Determine the location of message catalogues for the processing of LC_MESSAGES.

RESOURCES

None.

ASYNCHRONOUS EVENTS

The ttcp utility takes the standard action for all signals.

STDOUT

When the -h option is used, ttcp writes to standard output a help message in an unspecified format.

When the -v option is used, ttcp writes to standard output a version number in an unspecified format.

STDERR

Used only for diagnostic messages.

OUTPUT FILES

The output files can be of any type.

EXTENDED DESCRIPTION

None.

EXIT STATUS

The following exit values are returned:

0   All files and ToolTalk objects were copied successfully.

>0  An error occurred or the invoked cp(1) command exited with a non-zero value.

CONSEQUENCES OF ERRORS

Default.

FILES

/mountpoint/TT_DB
    The directory used as a database for the ToolTalk objects of files in the file system mounted at /mountpoint.

APPLICATION USAGE

None.

EXAMPLES

None.

SEE ALSO

cp(1), ttmv(1), tttar(1), ttsession(1).